A_home_login/urls.py
from django.conf.urls import url
from .views import index, login
from .custom_auth import auth_login, auth_logout
app_name='mahasiswa:index'
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^login/$', login, name='login'),

    # custom auth
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
]

A_mahasiswa/urls.py
from django.conf.urls import url
from .views import index
from .views_profile import *
from .views_status import *
from .views_riwayat import *
from .views_teman import *
app_name='mahasiswa'
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^profile/$', profile, name='profile'),
    url(r'^edit-profile/$', edit_profile_page, name='edit_profile'),
    url(r'^edit-profile/add-keahlian/(?P<id_skill>[0-9]+)/(?P<id_level>[0-9]+)/$', add_keahlian_to_database, name='add_keahlian'),
    url(r'^edit-profile/delete-keahlian/(?P<id>\w{0,50})/$', delete_keahlian, name='delete_keahlian'),
    url(r'^edit-profile/save/$', save_perubahan, name='save_perubahan'),
    url(r'^add_status/$', add_status, name='add_status'),
    url(r'^delete_status/(?P<id>\w{0,50})/$', delete_status, name='delete_status'),
]

praktikum/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import A_home_login.urls as A_home_login
import A_mahasiswa.urls as A_mahasiswa

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include(A_home_login,namespace='login')),
    url(r'^mahasiswa/', include(A_mahasiswa,namespace='mahasiswa')),
]

A_home_login/models.py
from django.db import models

# Create your models here.

A_mahasiswa/models.py
from django.db import models

class Pengguna(models.Model):
    kode_identitas = models.CharField('npm', max_length=20, primary_key=True, )
    nama = models.CharField('nama', max_length=200, default = 'kosong')
    username = models.CharField('username', max_length=200, default = 'kosong')
    profile_linkedin = models.CharField('profile_linkedin', max_length=200, default = 'kosong')
    foto_profil = models.CharField('profpic', max_length = 240, default = 'http://voice4thought.org/wp-content/uploads/2016/08/default1.jpg')
    email = models.CharField('email', max_length=200, default = 'kosong')
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)
    angkatan = models.CharField('angkatan', max_length = 5)
    boolean_rahasia = models.CharField('boolean_rahasia', max_length = 5, default = 'Tidak')

class Status(models.Model):
    status = models.TextField()
    pengguna = models.ForeignKey(Pengguna, on_delete=models.CASCADE, null = True)
    created_date = models.DateTimeField(auto_now_add=True)

class Keahlian(models.Model):
    keahlian = models.CharField('keahlian', max_length = 10)
    level = models.CharField('level', max_length = 15)
    pengguna = models.ForeignKey(Pengguna, on_delete=models.CASCADE, null = True)
    isSaved = models.CharField('isSaved', max_length = 5, default = 'False')

A_mahasiswa/forms.py
from django import forms

class Status_Form(forms.Form):
    status_attrs = {
        'type': 'text',
        'rows': 4,
        'class' : 'form-control',
        'placeholder':"What's happening?",
        'style' : 'resize:none'
    }

    status = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=status_attrs))

A_home_login/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.contrib import messages
# Create your views here.
response = {'logged_in' : False}

def index(request):
    html = 'A_home_login/session/home.html'
    return render(request, html, response)

def login(request):
    print ("#==> masuk index")
    if 'user_login' in request.session:
        return HttpResponseRedirect(reverse('mahasiswa:index'))
    else:
        html = 'A_home_login/session/login.html'
        return render(request, html, response)

A_mahasiswa/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.contrib import messages
# Create your views here.

response = {'author' : "Eka, Annisa, Priya, Nurfathiya"}

def index(request):
    if 'user_login' not in request.session.keys():
        return HttpResponseRedirect('/login/')

    return HttpResponseRedirect('/mahasiswa/profile/')

A_home_login/templates/A_home_login/layout/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description">
    <meta name="author" content="{{author}}">

    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<header>
    <h1 style="text-align:center">
        <small><em> Tugas PPW Paket A </em></small>
    </h1>
    <!-- Your Header Here -->
</header>
<content>
    <div class="container">
        {% for message in messages %}
        <div class="alert {{ message.tags }} alert-dismissible" role="alert" id="django-messages">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="margin-right: 15px;">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
        {% endfor %}

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    <hr>
    {% block footer %}

    <h1 style="text-align:center">
        <small><em> By Kelompok D </em></small>
    </h1>
    <!-- Your Footer Here -->
    {% endblock %}
</footer>

<!-- Jquery n Bootstrap Script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</body>
</html>

A_home_login/templates/A_home_login/partials/footer.html
<div class="footer">
	<p><br>&copy; 2018. All rights reserved</p>
</div>

A_home_login/templates/A_home_login/session/home.html
<a href='/login/' class="btn btn-primary">Login Mahasiswa</a>

A_home_login/templates/A_home_login/session/login.html
{% extends "A_home_login/layout/base.html" %}
{% block content %}
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="rata-tengah">
            <div class="judul">
                <h1> Halaman Login </h1>
                <p class="text-info"> Gunakan <b> akun SSO </b> untuk login </p>
            </div>
            <form action="{% url 'login:auth_login' %}" method="POST">
                {% csrf_token %}
                <p>
                    <label for="username"> Your username </label>
                    <input type="text" id="username" name="username" required>
                </p>
                <p>
                    <label for="password"> Your password </label>
                    <input type="password" id="password" name="password" required>
                </p>
                <input type="submit" class="btn btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock %}

A_mahasiswa/templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="TUGAS 2">
    <meta name="author" content="{{author}}">
    <link rel="shortcut icon" href="https://imageshack.com/i/pm9UQs5Cp">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <!-- css kelompok -->
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
    <link href='https://fonts.googleapis.com/css?family=Josefin Sans' rel='stylesheet'>
    <link rel="stylesheet" type="text/css" href="../../static/css/tugas_2.css" >
    <title>
        {% block title %} Tugas 2 {{author}} {% endblock %}
    </title>
    <script type="text/javascript" src="//platform.linkedin.com/in.js">
        api_key: 81l5skwi6v6pgb
        authorize: true
        onLoad: onLinkedInLoad
        scope: r_basicprofile r_emailaddress
    </script>
</head>
<body>
<header>
    <!-- Your Header Here -->
    {% include "partials/header.html" %}
</header>
<content>
    <div class="container">
        {% for message in messages %}
        <div class="alert {{ message.tags }} alert-dismissible" role="alert" id="django-messages">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="margin-right: 15px;">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
        {% endfor %}

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    {% block footer %}
    <!-- Your Footer Here -->
    {% include "partials/footer.html" %}
    {% endblock %}
</footer>

<!-- Jquery n Bootstrap Script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<!-- script tugas -->
<script src="{% static 'js/profile.js' %}"></script>
<script src="{% static 'js/teman.js' %}"></script>
{% block javascript %}

{% endblock %}
</body>
</html>

A_mahasiswa/templates/partials/footer.html
<div class="footer">
	<p><br>&copy; 2018. All rights reserved</p>
</div>

A_mahasiswa/templates/session/edit_profile.html
{% extends "layout/base.html" %}
{% block content %}


<div class = "container" style = "padding-top: 20px;">
    <div class = "header-html" align = "center">
        <div class = "temp-foto">
            <img src = "{{ foto_profil }}" alt = "profpic" width = "125px" height = "125px">
        </div>
        <div>{{ npm }}</div>
    </div>
    <div class = "edit-content-html">
        <h4 class = "some-words"><strong>Data Pribadi</strong></h4>
        <div class = "linked-in-data-content">
            {% if profile_linkedin == 'kosong' %}
                <script type="in/Login"></script>
            {% endif %}
            <div class = "data-pribadi">
                <div class = "nama data">
                    {% if nama != 'kosong' %}
                        {{ nama }}
                    {% endif %}
                </div>
                <div class = "email data">
                    {% if email != 'kosong' %}
                        {{ email }}
                    {% endif %}
                </div>
                <a class = "profile-linkedin data">
                    {% if profile_linkedin != 'kosong' %}
                        haha
                    {% endif %}
                </a>
            </div>
        </div>
        <br>
        <div class = "keahlian-content" style = "width:90%;">
            <h4>Keahlian</h4>
            {% if list_keahlian %}
                {% for keahlian in list_keahlian %}
                    <div class = "keahlian-lama">{{ forloop.counter }} &nbsp;&nbsp;&nbsp;&nbsp;
                    <select class = "select-keahlian" data-id = "{{ keahlian.id }}" >
                            <option value="{{keahlian.keahlian}}">{{keahlian.keahlian}}</option>
                            <option value="0">Murni</option>
                            <option value="1">Statistik</option>
                            <option value="2" >Komputasi</option>
                            <option value="3">OR</option>
                            <option value="4">Aktuaria</option>
                        </select>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <select class = "select-level" data-id = "{{ keahlian.id }}">
                            <option value="{{keahlian.level}}">{{keahlian.level}}</option>
                            <option value="0">Basic</option>
                            <option value="1">Intermediate</option>
                            <option value="2">Advanced</option>
                        </select>
                        <button class = "btn btn-danger delete-button"  data-id = "{{ keahlian.id }}">Delete Keahlian</button>
                    </div>
                    <br>
                {% endfor %}
            {% endif %}
            <div class = "keahlian-baru" >
                {{ list_keahlian | length | add:1}} &nbsp;&nbsp;&nbsp;&nbsp;
                <select class = "select-keahlian skill-baru" data-id = "{{ forloop.counter }}">
                    <option value="0" selected>Murni</option>
                    <option value="1">Statistik</option>
                    <option value="2" >Komputasi</option>
                    <option value="3">OR</option>
                    <option value="4">Aktuaria</option>
                </select>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <select class = "select-level level-baru">
                    <option value="0" selected>Beginner</option>
                    <option value="1">Intermediate</option>
                    <option value="2" >Advanced</option></select>
                <button class = "btn btn-primary apply-button" onClick="addKeahlian()">Tambah Keahlian</button>
            </div>
        </div>
        <br>
        <div class = "form-kerahasiaan-nilai">
            <h4>Tampilkan Nilai</h4>
            <form>
                <input type="radio" name="bool" value="Tidak" checked>Tidak
                <input type="radio" name="bool" value="Ya">Ya
            </form>
        </div>       
    </div>

    <div class = "saving-data" align = "center">
        <button class = "btn btn-primary save-button">Simpan</button>
        <button class = "btn btn-danger exit-button">Keluar</button>
    </div>
    <br>
</div>

{% endblock %}

A_mahasiswa/templates/session/mahasiswaPage.html
{% extends "layout/base.html" %}
{% load static %}
{% block content %}
<!-- Content Here -->
<!-- tulisan nama, status terakhir, dll di sini-->

<h1>Selamat Datang, {{ username }}</h1>
<div>
    <img style="border: solid 3px white" src = "{{ foto_profil }}" alt = "profpic" width = "200px" height = "200px">
    <h4><strong>Status Terbaru :</strong></h4>
    <h5>{{ latestpost.status }}</h5>
</div>
<div style="margin-top: 10px;">
    <a href = "" class = "btn btn-primary">Lihat Forum</a>
    <a href = "{% url 'mahasiswa:edit_profile' %}" class = "btn btn-primary">Edit Profile</a>
</div>
<h3> Jumlah Status : {{ jumlah_status }}</h3>
<h3>
    <!-- if ada status, get status terakhir pake filter(-date) < cek status di tugas1
        kalo ga ada tinggal taro tidak ada status
     -->
</h3>


<!-- logout sementara -->
<a href="{% url 'login:auth_logout' %}" class="btn btn-danger pull-right" onclick="return confirm('Keluar?')">Logout </a>

    <!-- Nav tabs -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#profile" aria-controls="home" role="tab" data-toggle="tab"> Profile </a>
        </li>
        <li role="presentation">
            <a href="#riwayat" aria-controls="settings" role="tab" data-toggle="tab"> Riwayat </a>
        </li>
        <li role="presentation">
            <a href="#status" aria-controls="settings" role="tab" data-toggle="tab"> Status </a>
        </li>
        <li role="presentation">
            <a href="#teman" aria-controls="settings" role="tab" data-toggle="tab"> Teman </a>
        </li>
    </ul>

    <!-- Tab panes -->
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane fade in active" id="profile">
            {% include 'tables/profile.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="riwayat">
            {% include 'tables/riwayat.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="status">
            {% include 'tables/status.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="teman">
            {% include 'tables/teman.html' %}
        </div>
    </div>
</div>
{% endblock %}

A_mahasiswa/templates/tables/profile.html
{% load staticfiles %}
{% load static %}

<div class="panel panel-default">
    <div class="panel-body">
        <div class="col-lg-6 col-lg-12">
            <table width="100%">
                <tr>
                    <td><h5><strong>Nama</strong></h5></td>
                    <td><h5> : {{ nama }}</h5></td>
                </tr>
                <tr>
                    <td><h5><strong>NPM</strong></h5>
                    <td><h5> : {{ npm }}</h5></td>
                </tr>
                <tr>
                    <td><h5><strong>Keahlian</strong></h5></td>
                    <td>
                        <div class="keahlian"> :
                            {% if list_keahlian %}
                                {% for keahlian in list_keahlian %}
                                    {% if keahlian.keahlian == 'Java' %}
                                        <button class="btn btn btn-primary">{{ keahlian.keahlian }}</button>
                                    {% elif keahlian.keahlian == 'Python'%}
                                        <button class="btn btn btn-danger">{{ keahlian.keahlian }}</button>
                                    {% elif keahlian.keahlian == 'C#'%}
                                        <button class="btn btn btn-info">{{ keahlian.keahlian }}</button>
                                    {% elif keahlian.keahlian == 'Erlang'%}
                                        <button class="btn btn btn-warning">{{ keahlian.keahlian }}</button>
                                    {% else%}
                                        <button class="btn btn btn-success">{{ keahlian.keahlian }}</button>
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                                kosong
                            {% endif %}
                        </div>
                    </td>
                </tr>
                <tr>
                    <td><h5><strong>Email</strong></h5></td>
                    <td><h5> : {{ email }}</h5></td>
                </tr>
                <tr>
                    <td><h5><strong>Profile LinkedIn</strong></h5></td>
                    <td><h5> : {{ profile_linkedin }} </h5></td>
                </tr>
            </table>
        </div>
    </div>
</div>

A_mahasiswa/templates/tables/riwayat.html
{% load staticfiles %}
{% load static %}

<div id="riwayat-big" class="panel panel-default">
	<div class="panel-heading">
		<table style="width: 97%; padding-left: 0px;">
	     	<thead>
		       <tr>
		         <th class="col-xs-1">Nomor</th>
		         <th class="col-xs-4">Mata Kuliah</th>
		         <th id="nilai" class="col-xs-2">Nilai</th>
		       </tr>
		     </thead>
		</table>
   	</div>
    <div class="panel-body">
        <table class="table table-fixed">
	     <tbody>
	     	{% for matkul in list_matkul %}
		       <tr>
		         <td class="col-xs-1">{{ forloop.counter }}</td>
		         <td class="col-xs-4">{{ matkul.kelas.nm_mk_cl.nm_mk }}</td>
		         <td id="nilai" class="col-xs-2">
		         {% if dirahasiakan == "Tidak" %}
		         		{{ matkul.nilai }}
		         	{% else %}
		         		Dirahasiakan
		         	{% endif %}
		   	    </td>
		       </tr>
		     {% endfor %}
	     </tbody>
	   </table>
    </div>
</div>

<div id="riwayat-medium" class="panel panel-default">
	<div class="panel-heading">
		<table style="width: 98%;">
	     	<thead>
		       <tr>
		         <th class="col-xs-2">Nomor</th>
		         <th class="col-xs-8">Mata Kuliah</th>
		         <th id="nilai" class="col-xs-2">Nilai</th>
		       </tr>
		     </thead>
		</table>
   	</div>
    <div class="panel-body">
        <table class="table table-fixed">
	     <tbody>
	     	{% for matkul in list_matkul %}
		       <tr>
		         <td class="col-xs-2">{{ forloop.counter }}</td>
		         <td class="col-xs-8">{{ matkul.kelas.nm_mk_cl.nm_mk }}</td>
		         <td id="nilai" class="col-xs-2">
		         	{% if dirahasiakan == "Tidak" %}
		         		{{ matkul.nilai }}
		         	{% else %}
		         		Dirahasiakan
		         	{% endif %}
		    		</td>
		       </tr>
		     {% endfor %}
	     </tbody>
	   </table>
    </div>
</div>

<div id="riwayat-small" class="panel panel-default">
    <div class="panel-body">
        <h4>Maaf, Data Mata Kuliah Tidak Kompetibel Untuk Dibuka Di Resolusi Ini</h4>
    </div>
</div>

A_mahasiswa/templates/tables/status.html
{% load staticfiles %}
{% load static %}
<div class='panel panel-info'>
        <div class="panel-body">
            <section name="input-list" id="input-list">
                <div class="container" style="width:100%;">
                	<form id="form" method="POST" action="{% url 'mahasiswa:add_status' %}">
                        <h2>Update Status</h2>
                        {% csrf_token %}
                        {{ status_form }}
                        <br>
                        <input id="post-button" type="submit" class="btn btn-lg btn-block btn-info" value="Post">
                    </form>
                </div>
            </section>
            <section name="my-list" id="my-list">
                <div class="container" style="width:100%;">
                    <h2 class="my-list-title">Timeline</h2>
                    <div class="flex">
                    {% if model %}
                    	{% for data in model %}
                            <div class="flex-item status-flex">
                                <a href="/mahasiswa/delete_status/{{ data.id }}">
                                    <div class="delete-button" data-id={{data.id}}}>x</div>
                                </a>
                                <div class="postee">
                                    <img class="img depe" src = "https://cdn1.iconfinder.com/data/icons/user-pictures/100/male3-512.png" width="50px">
                                    {{ data.pengguna.username }}
                                </div>
            				    <div class="isi-status">{{data.status}}</div>
            				    <div class="date-added" id="date-added">{{data.created_date}}</div>
                            </div>
                    	{% endfor %}
                    {% else %}
                    <div class="alert alert-danger text-center">
                        <strong>Oops!</strong> Tidak ada post di timeline.
                    </div>
                    {% endif %}
                  </div>
                </div>
            </section>
        </div>
    </div>

A_mahasiswa/templates/tables/teman.html
<!DOCTYPE html>
<html>
<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style>
table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

td, th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
}

tr:nth-child(even) {
    background-color: #dddddd;
}
</style>
</head>
<body>

<h2>List Teman</h2>
<p>Search Friend by NPM, Name, Batch, Email</p>
<input id="myInput" type="text" placeholder="Search..">
<br><br>

<table>
  <thead>
    <tr>
        <th>NPM</th>
        <th>Name</th>
        <th>Batch</th>
        <th>Email</th>
        <th>Skill</th>
        <th>Level</th>
    </tr>
  </thead>
  <tbody id="myTable">
    <tr>
        <td>1406573362</td>
        <td>Annisa Sri Devi</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
     <tr>
        <td>1406599986</td>
        <td>Priya Arif</td>
        <td>2014</td>
        <td>eka.aditya@ui.ac.id</td>
        <td>Machine Learning</td>
        <td>Expert</td>
    </tr>
    <tr>
        <td>1406572990</td>
        <td>Nurfathiya Faradiena A</td>
        <td>2014</td>
        <td>nurfathiyafrdn@gmail.com</td>
        <td>Pure Mathematics Analysis</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406599986</td>
        <td>Eka Aditya Pramudita</td>
        <td>2014</td>
        <td>eka.aditya@ui.ac.id</td>
        <td>Pure Statistic Analysis</td>
        <td>Expert</td>
    </tr>
    <tr>
        <td>1406599985</td>
        <td>Eka Aditya</td>
        <td>2014</td>
        <td>eka.adit@ui.ac.id</td>
        <td>Statistic</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406575361</td>
        <td>Annis</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406576360</td>
        <td>Annisa S</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406577362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406578362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406579362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406570362</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573462</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573562</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573662</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573762</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406573862</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406553962</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406563062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406583062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406593062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
    <tr>
        <td>1406503062</td>
        <td>Annisa Sr</td>
        <td>2014</td>
        <td>annisa.sri@sci.ui.ac.id</td>
        <td>Matlab</td>
        <td>Beginner</td>
    </tr>
</tr>
</tbody>
</table>

</body>
</html>